Release Notes Archive

ReleaseDate
21.4 Critical PatchMarch 1, 2022
21.4 Major ReleaseJanuary 8, 2022
Encompass 21.3 Critical Patch 2December 16, 2021
21.3 Critical Patch 1December 14, 2021
21.3 Major ReleaseOctober 2, 2021
21.2 Major ReleaseJune 5, 2021
21.1 Service PackApril 15, 2021
21.1 Major ReleaseFebruary 23, 2021
20.2 Service PackJanuary 21, 2021
20.2 Service PackDecember 17, 2020
20.2 Major ReleaseNovember 23, 2020
20.1 Service PackSeptember 22, 2020
20.1 Service PackAugust 18, 2020
20.1 Critical PatchJune 6, 2020
20.1 Service PackMay 23, 2020
20.1 Major ReleaseApril 25, 2020
19.4 Service PackJanuary 18, 2020
19.4 Major ReleaseNovember 16, 2019
19.3 Major ReleaseAugust 22, 2019
19.1 Major ReleaseFebruary 19, 2019
Older Release Notes

🚧

Release Preview - Scheduled for December 5, 2026

Major Release Previews provide you with an early look at the new features and updates that will be provided in the upcoming release. However, in the weeks after this Major Release Preview is published, the release preview page may change with items being added, modified, or removed. When a final draft of the Major Release is published, the “Preview" label is removed and no further planned updates are made to it.

🚧

Clear Browser Cache

To ensure you are viewing the very latest of this website, best practice is to clear your browser's cache, especially after any major releases. For instructions on clearing cache, visit a link below for the browser you are using:


IMPORTANT NOTICES

New Multi-Factor Authentication Default Option: TOTP

The Lender MFA settings page (in the Encompass web interface Admin portal > Company/User Setup) has been updated with a new TOTP option in the Providers list. Starting in Encompass 26.3, this TOTP (Time-based One-Time Password) option can be used to require two-factor authentication for users logging into Encompass (desktop and web interfaces) and the Encompass Connect products. The TOTP option is now the default MFA option selected on the Lender MFA settings page for new 26.3 instances.

Encompass Lender MFA TOTP Option

As part of this update, the PingID option will no longer be available to use for two-factor authentication starting in Encompass 27.1. In Encompass 26.3, you can continue to use PingID, but the settings information for this provider has been replaced with a message explaining the impending removal of PingID in Encompass 27.1.

🚧

If you are currently utilizing PingID as the MFA provider, it is strongly recommended that you select and configure a new provider from the Lender MFA settings screen prior to Encompass 27.1.

Encompass Lender MFA PingID Option

📘

Important notes regarding TOTP availability:

  • For customers who continue to use Encompass 26.2 instances (existing or new instances) after Encompass 26.3 is released, if MFA is then enabled, these users will go through TOTP by default during the MFA login flow.
  • For customers who continue to use Encompass 26.2 (existing or new instances) where MFA is already enabled and using the default PingID option after Encompass 26.3 is released, the TOTP option will not display on the Lender MFA settings page in Encompass 26.2.
  • For customers who continue to use Encompass 26.2 (existing or new instances) after Encompass 26.3 is released and then they enable MFA, the PingID MFA provider settings will continue to display on this page in Encompass 26.2. The TOTP option is NOT displayed on the Lender MFA settings page, however, these customers will be assigned to the default TOTP option in the system’s MFA settings. These users must use an authenticator app such as Google Authenticator or Microsoft Authenticator as their second factor. PingID cannot be used for their second factor.
  • For customers who upgrade to Encompass 26.3 and then enable MFA, users will be assigned to the TOTP option by default. These users must use an authenticator app such as Google Authenticator or Microsoft Authenticator as their second factor.

EDC-1339 / ENCW-148245

Encompass Product Documentation Now Requires User Authentication

To safeguard ICE intellectual property and prevent unauthorized access to proprietary product documentation, Encompass documentation now requires user authentication to access. This includes (but is not limited to) online help, release notes, product manuals, and other supporting documents.

If you are already logged into Encompass (or Encompass Admin Tools) the links to documentation files in the user interface will continue to work like they have before, with no additional user authentication required.

If you access documentation through external links, including saved bookmarks and emailed links, you must provide your ICE Resource Center login credentials or your Encompass login credentials from the Access Login screen that will be presented. Once provided, the documentation file is displayed. These credentials are retained for subsequent documentation access during the same session.

Access Login Screen

Please note:

  • When using the Sign In with Encompass option in a UAT (User Acceptance Testing) environment, you must provide your Encompass Production sign-in credentials.
  • The URLs for ICE product documentation have changed. The https://help.icemortgagetechnology.com/ portion of the URL has changed to https://help.mortgagetech.ice.com/. Update your web browser bookmarks or other saved links accordingly.

NICE-60534


ENCOMPASS SOFTWARE DEVELOPMENT KIT (SDK)

❗️

SDK to API Transition Deadline Change

The deadline to transition from legacy Encompass SDK (Software Development Kit) integrations to APIs (as previously announced in the 25.2 release notes) has changed. Please see the latest deadline information published in the official Encompass SDK Transition page.


ENCOMPASS LOAN APIs

New APIs for Correspondent Purchase Advice Tracking Logs (new)

The following API endpoints have been added to enable creating, updating, and retrieving logs of historical snapshots of the Correspondent Purchase Advice (CPA) tool fields available in Encompass.

  • V3 Get List of Correspondent Purchase Advice Logs
    GET /encompass/v3/loans/{loanId}/cpaTrackingLogs
  • V3 Create Correspondent Purchase Advice Log
    POST /encompass/v3/loans/{loanId}/cpaTrackingLogs
  • V3 Get Specific Correspondent Purchase Advice Log
    GET /encompass/v3/loans/{loanId}/cpaTrackingLogs/{cpaLogId}
  • V3 Update Specific Correspondent Purchase Advice Log
    PATCH /encompass/v3/loans/{loanId}/cpaTrackingLogs/{cpaLogId}

In addition, a new ReviseCPA option has been added to the action query parameter for the following existing API. This action enables resetting Field 5120 / CPAConfirmed flag to false so that CPA can be revised and another CPA log can be created.

EDC-1319

New 'calculateTotalCount' Parameter for V3 Loan Pipeline API (update)

For the V3 Loan Pipeline (with Pagination) API, a new 'calculateTotalCount' query parameter has been added with the following possible values:

  • NoWait - (default) The API does not wait for the total count calculation to complete. If the total count is calculated by the time API response is ready, it will be returned, else the total count will be returned as -1 in the response headers.
  • NoCount - Total Count will not be returned in the response headers. (recommended)
  • CountOnly - Total count will be returned in the response headers with no response body.
  • WaitForCount - The API will wait to calculate total before returning the response. (Warning: Could slow down the API response. Use only if needed.)

This enhancement provides more options when waiting to return the Pipeline response with or without total count. This change affects the following API endpoint:

EDC-1341


SETTINGS and UTILITIES APIs

New Internal/External User Change Password APIs (new)

The following new APIs have been added that enables internal and external (TPO) users to change their Encompass password.

  • V3 Change Internal User Password
    POST /encompass/v3/users/me/changePassword
  • V3 Change External User Password
    POST /encompass/v3/externalUsers/me/changePassword

EDC-1311

Manage State License Information for External Organizations API (new)

The following API has been added that enables managing state license information for external organizations (TPO). You can add and update state license information for a given external organization.

  • Manage External Organization State License Information
    PATCH /encompass/v3/settings/externalOrganizations/tpos/{orgId}/licenses

EDC-1333

Calculated Number of Days until Password Expiration Added for User APIs (update)

The following APIs have been enhanced to provide the number of days until password expiration based on the Encompass password policy configured. A new daysUntilPasswordExpiration attribute has been added to accommodate the calculated value. In addition, the passwordChangedDate attribute has been added to the Internal Users APIs to capture the date the Encompass password was last changed. Note: This attribute is already included in the External Users APIs.

EDC-1305

Filter and Sort Query Parameters Added to Get Loan Custom Fields Settings (update)

New Filter and Sort query parameters have been added to the following API. You can now filter and sort by the following attributes: fieldId, format, and maxLength

EDC-1307

New External Organization Notes APIs (new)

The following APIs have been added that enable you to retrieve and manage notes for external organizations (TPO).

  • V3 Get External Organization Notes
    GET /encompass/v3/settings/externalOrganizations/tpos/{orgId}/notes
  • V3 Manage External Organization Notes
    PATCH /encompass/v3/settings/externalOrganizations/tpos/{orgId}/notes
  • V3 Get External Organization Note
    GET /encompass/v3/settings/externalOrganizations/tpos/{orgId}/notes/{noteId}

EDC-1321

Email and Phone Verification Added for User APIs (update)

The following APIs have been enhanced to support verification tracking for email address, phone number, and cell phone number.

The following attributes have been added:

  • For external users: emailVerified, phoneVerified, cellPhoneVerified
  • For internal users: emailVerified

EDC-1322


WEBHOOKS

Limit Parameter Maximum Increased for Get All Webhook Events API (update)

In release 26.3, the maximum number of event records for the pagination limit query parameter has been increased from 100 to 1000 for the following API. If not defined, the default remains at 100.

EDC-1292

Webhook Enhancement - Event Reconciliation

This release introduces a correlationId for webhook event history, giving subscribers a reliable way to trace webhook notifications back to the exact action that triggered them — including reconciling all related chunks of a single event. Webhook event history can now be reconciled using a correlationId tied to the originating action, whether that action was made through the Encompass Desktop or Encompass Web interfaces, or the API.

For API-initiated updates, the correlationId is returned in the response header of the triggering call. Subscribers can use this same correlationId to search Event History and retrieve all webhook events generated as a result of that request. The following API now supports this optional correlationId query parameter, allowing subscribers to retrieve event history by correlationId directly, rather than relying solely on event timestamps.

EDC-1324

Webhook Security Enhancement

As part of our ongoing commitment to platform security, we've updated access controls for webhook subscription management and event history retrieval.

What's changing:

  • Webhook subscription management (creating, updating, and retrieving subscriptions) is now limited to internal, authorized users. External users are not authorized to access this functionality.
  • Event history retrieval is now limited to internal, authorized users. External users are not authorized to access this functionality.

📘

"External users" refers to Third Party Originators (TPO) users with whom your company does business.

EDC-1328


BREAKING CHANGES

👍

Be sure to visit the Breaking Change Notices page to see a list of ALL breaking changes documented for past and future releases.

Breaking Changes for 26.3 Release

Piggyback LINK Attributes Changing to RetrieveOnly

As mentioned in previous release notes, all Piggyback LINK attributes will be made RetrieveOnly starting in release 26.3. For more information, see the details provided in the Breaking Change Notes page.

EDC-1298 / EDC-1306

Obsolete Properties Being Removed from Loan Contract

As mentioned in previous release notes, a series of properties are being removed from the loan.rateLocks section of the V1/V3 loan contract in release 26.3. For more information, see the details provided in the Breaking Change Notes page.

EDC-1308 / EDC-1309

Breaking Changes for 27.1 Release

Removing Obsolete Rate Lock Entities

As mentioned in previous release notes, a series of entities are being removed from the Loan Contract in release 27.1 and represents a breaking change to V3 Get Loan. For more information, see the details provided in the Breaking Change Notes page.

EDC-1286

Deprecating aclRights in favor of accessRights in Persona API

The aclRights attribute will be replaced with a new attribute called accessRights (will be added in release 27.1) to enhance the Persona management operations with the upcoming Create/Update APIs. The two attributes will coexist for one release, and in a future release, the aclRights attribute will be removed. This represents a breaking change to the following API:

EDC-1331

Breaking Changes for 27.2 Release

Cell Phone Changing to Mandatory Attribute for External Users

Beginning in release 27.2, the cellPhone field will become a required attribute for the following API in order to facilitate new cell phone verification and Multi-Factor Authentication (MFA) One-Time Password (OTP) options being implemented in Encompass. This represents a breaking change to the following API endpoint:

EDC-1318

Retaining Deleted Empty Document Folders/Containers in Removed Section of Loan File to Stop

Currently, deleted documents (folders/containers, not attachments themselves) are being retained in the removed section of the loan file. Over time, large volumes of these empty document folders/containers can cause failures due to excess file size. To resolve this issue, starting with Encompass release 27.2, when deleting empty documents, the system will no longer retain these unused document folders/containers in the removed section in the loan file. This represents a breaking change to the following API:

As of release 27.2, any calls using the isRemoved query parameter in this API endpoint will still work, but there will be no removed documents returned.

📘

Behavior will not change for conditions or attachments.

EDC-1344


DEPRECATION and SUNSET NOTICES

👍

Be sure to visit the Deprecation and Sunset Notices page to see a list of ALL deprecations and sunsets documented for past and future releases.

Sunset of V1 eFolder Attachment APIs

As mentioned in previous release notes, a series of V1 eFolder Attachment APIs are scheduled for sunset in release 26.3. For more details and the alternative API endpoints to use, see Sunsetting V1 eFolder Attachment APIs in the Deprecation and Sunset Notices page.

EDC-1186

Sunsetting 'createAuthCode' Method

As mentioned in previous release notes, the 'createAuthCode' method previously announced as being deprecated with the 23.3 release, will be officially sunset in the upcoming 27.1 release. See the original deprecation notice for more details regarding the alternative getAccessToken() method that should now be used.

EDC-1300 / EDC-1310

Delayed Sunset of TPO Connect Application Object Methods

The following methods that have been listed as deprecated for the tpoApplication Object and previously announced as sunsetting in release 26.2, will now be officially sunset in the 26.3 release. Please begin using the replacements as noted below.

Sunsetting MethodsMethod Replacement
getLoanSummaryLoan object
getLoanDataLoan object
createAuthCode (click here to see new update regarding this method)Auth object

EDC-1275


GUIDES


LOAN SCHEMA CHANGES

The Encompass Loan Schema is updated with every major release to include new fields and update existing fields to support new features and to stay up-to-date with regulatory requirements. For the full list of the added and update fields, please refer to the following links:


POSTMAN FILE UPDATES

The following Postman files have been updated to support release 26.3. All new and updated samples are prefixed with "26.3R" for each reference. NOTE: Postman files are not updated during the release preview window.

  • Encompass Developer Connect Postman Collection
  • Encompass Developer Connect Postman Environment Variables

See Testing with Postman for more details and to download the latest versions of each Postman file.

Loan Schema Changes

The Encompass Loan Schema has been updated in this on-demand (OD) service pack release to include new fields to support new features and to stay up-to-date with regulatory requirements. For the full list of the added and updated fields, please refer to the following links:

Encompass 26.2 October Service Pack Release Notes

Refer to the following Loan Schema APIs for metadata and contract information about these fields.

EDC-1343

Fixed Issues

EDC-1312 - A change done in release 26.2 caused an issue with the following APIs where the default behavior on the 'includeArchivedLoans' boolean attribute began setting the default to true instead of false. The default for this attribute is supposed to be false to not include archived loans. A fix to return the default to false is being applied in the 26.2 August Service Pack release.

EDC-1313 - Fixed an issue for subscribers to the Condition Webhook. Certain changes in condition tracking statuses were not being recognized. With this fix, you should now receive conditions webhooks for these tracking status changes.

Partner Plugins Enhancements

Today, partner plugins do not receive events for field changes done by business rules, calculations or field triggers. To bring parity to Encompass desktop that does have this functionality, partner plugins will be enhanced in this release to start receiving field changes done by these activities. For more information, log in to the ICE Resource Center and review the following Knowledge Article: Article Number: 000116827 - Receive Cascaded Loan Field Changes in Encompass Web Plugins

EDC-1315

🚧

Clear Browser Cache

To ensure you are viewing the very latest of this website, best practice is to clear your browser's cache, especially after any major releases. For instructions on clearing cache, visit a link below for the browser you are using:

IMPORTANT NOTICES

New Login Screen for Encompass Products

All Encompass products now utilize a new single, unified web-based login page that is more consistent with the current Encompass desktop interface login experience. Products like the Encompass web interface and Encompass Consumer Connect that previously used a two step login process (where a user entered their instance, and then navigated to a new screen to enter their user credentials) now use a single consolidated login page. The new Encompass login page looks like this:

Encompass login page


When logging into other Encompass products (listed below), the same log in screen is provided. Depending on which product you are logging into, there may be some minor differences in the login screen related to the SSO button (discussed below) and the name of the product displayed at the top of the login screen may differ.

📘

Note that users now enter their instance ID, user name, and password on the same screen.

The Login via Single Sign On (SSO) button is now displayed for all products that support SSO (with the exception of Encompass Data Connect, Partner Marketplace, and Insights), regardless of whether the instance has SSO enabled.

  • If SSO is not enabled in Encompass desktop interface, users entering an instance ID and then clicking this SSO button will receive a No company associated with this Instance ID message. This is the same message and user experience provided in earlier versions of Encompass desktop interface.
  • If SSO is not enabled in other Encompass web applications, users entering an instance ID and then clicking this SSO button will see the screen refresh without any error messages on the user interface.
  • If SSO is enabled and the user is restricted to log in using SSO only, an error message is returned if they attempt to log in with a user name and password. The message instructs the user to log in using SSO.

📘

There is no impact to users who bypass Encompass login pages entirely. (For example, users launching Encompass from enterprise landing pages and federating directly.)

This new login screen is now used for the following products:

  • Encompass (desktop and web interface)
  • eFolder (when accessing the eFolder in the web interface from the Encompass desktop interface)
  • Encompass Consumer Connect Admin Portal
  • Encompass Data Connect (no SSO button will be displayed)
  • Data Insights (no SSO button will be displayed)
  • Encompass Developer Connect (This new login screen is used for the My Account > API Key, My Account > SAML SSO, and My Account > Lender MFA screens inside the Encompass Developer Connect portal only.)
  • Encompass eVault
  • Encompass LO Mobile App
  • Encompass TPO Connect Admin Portal
  • Encompass TPO Internal User Access
  • Encompass Partner Marketplace (no SSO button will be displayed)
  • ICE PPE

PRCM-1141


Updates for Single Sign-On (SSO) and Multi-Factor Authentication (MFA) Settings

MFA Now Enabled for Additional Connect Products

MFA is now available to enable for Connect products that previously did not enforce MFA. The following Connect products now support and enforce MFA when enabled in Encompass Admin Tools:

  • Encompass Data Connect
  • Encompass Developer Connect
  • Encompass TPO Connect Internal Login
  • Encompass TPO Connect Admin Portal

When MFA is enabled for these Connect products, users are required to authenticate to their corporate network by providing a user name and password, and then by providing a pin or code from their smartphone or device. Once authenticated, then they can proceed into their Connect product.

Supported MFA Providers:

The Encompass Lending Platform continues to support MFA using PingID, Okta Verify, or Duo Mobile identity providers.

Enabling MFA for Connect Products:

Use the Encompass Admin Tools > Server Settings Manager to enable (or disable) MFA for these Connect products.

To Enable MFA for Connect Products:
  1. On your Windows task bar, click the Start menu or Start icon, navigate to the ICE Mortgage Technology program folder, and then click Admin Tools.

  2. Double-click Settings Manager.

    • If you are prompted to log in to the server, type the User ID, Password, and Server that you use to log in to Encompass as the Super Administrator or the user assigned with the admin user ID.
  3. Select Password from the Category list.

  4. Click the Enable MFA button.

  5. Select the Connect Products (Encompass Web) check box. (If this check box was already selected from a previous version of Encompass, then it does not need to be selected again. MFA will be applied to the additional Connect products (along with the Encompass web interface).)

    🚧

    You cannot selectively opt in or opt out of applying MFA for specific Connect products. If you select this Connect Products (Encompass Web) checkbox, then MFA is applied to the Encompass web interface, Encompass Data Connect, Encompass Developer Connect, Encompass TPO Connect Internal Login, and the Encompass TPO Connect Admin Portal. If this checkbox is not selected, then MFA is not applied to any of these products.

    MFA Login Admin Tools
  6. Click OK.

    MFA is now enabled for these additional Connect products by default when using the PingID MFA service provider. ICE Mortgage Technology has configured PingID as your default provider. If you are using custom MFA service providers Okta Verify or Duo Mobile, please note that you must also configure your MFA service provider and the required settings in the Lender MFA settings in the Encompass web interface Admin portal to complete MFA enablement. Refer to the SSO and MFA Settings Moved to Encompass Web Interface entry below for more information.

Refer to the How to Set Up MFA for Encompass guide for information about setting up MFA for these Connect products (as well as additional products already supported for MFA (Encompass (desktop and web interfaces) and the Encompass Consumer Connect Admin Portal)).

PRCM-1141 / EDC-1269


SSO and MFA Settings Now Available in Encompass Web Interface

Prior to Encompass 26.2, administrators managing their company's Single Sign-On (SSO) and Multi-Factor Authentication (MFA) setup and preferences utilized the setup screens located in Encompass Developer Connect. With this Encompass 26.2 release, these settings are now also provided in the Encompass web interface's Admin portal. (These settings in the Encompass web interface's Admin portal can also be accessed from settings in Encompass desktop interface). Existing setup and configuration settings are not impacted by this move, so administrators are not required to reconfigure their existing SSO and MFA setup.

The SSO and MFA settings are still provided in Encompass Developer Connect as well. These settings will be removed in a future Developer Connect release.

Managing SSO and MFA Connections in Encompass Web Interface

After the administrator has configured their IdP (Identity Provider) and collected the XML metadata file from the configuration, they can visit the SAML/SSO Setup page or the Lender MFA page in the Encompass web interface Admin portal to set up a new SSO or MFA connection or modify existing connections.

SSO Connections

You can create up to 10 connections SSO connections on the SAML/SSO Setup page, but only one can be active at a given time for a given application. You cannot have two connections for Encompass activated simultaneously. However, you can have a connection for Encompass desktop interface and a connection for Encompass web interface activated at the same time.

To Set Up the SAML SSO Connection in Encompass Web Interface:
  1. Log into the Encompass web interface with Super Administrator credentials or with the admin user ID.

  2. One the left panel in the Admin portal, click Company/User Setup, and then click SAML/SSO Setup.

  3. On the SAML/SSO Setup pop-up screen, the existing SSO connections are listed. There you can click the Add (+) icon to create a new connection.

    Encompass Web SAML SSO Connection

    For existing connections, administrators can edit the Connection Name field and upload a new metadata file.

MFA Connections

The Encompass Lending Platform supports MFA using PingID, Okta Verify, or Duo Mobile identity providers.

To Set Up the MFA Connection in Encompass:
  1. Log into the Encompass web interface with Super Administrator credentials or with the admin user ID.

  2. On the left panel in the Admin portal, click Company/User Setup, and then click Lender MFA.

  3. On the Lender MFA page, select the MFA provider you would like to use.

    Web Lender MFA Settings

    If the MFA connection has already been configured, the required information is displayed in the associated fields. Here administrators can modify existing connection information or enter new connection information.

Managing SSO and MFA Connections via Encompass Desktop Interface

After the administrator has configured their IdP (Identity Provider) and collected the XML metadata file from the configuration, they can visit the SAML/SSO Setup page or the Lender MFA page in the Encompass web interface from the Encompass Settings to set up a new SSO or MFA connection or modify existing connections.

To Set Up or Access the SAML SSO Connection from Encompass Desktop Interface:
  1. Log into the Encompass desktop interface with Super Administrator credentials or with the admin user ID.

  2. On the menu bar in Encompass, click Encompass, and then click Settings.

  3. On the left panel, click Company/User Setup, and then click Company Information.

  4. On the Company Information tab, click the Configure SSO button.

    Configure SSO


  • On the SAML/SSO Setup pop-up screen, administrators can set up an SSO connection or edit an existing SSO Connection.

To Set Up or Access the MFA Connection from Encompass Desktop Interface:
  1. On the menu bar in Encompass, click Encompass, and then click Settings.

  2. On the left panel, click Company/User Setup, and then click Company Information.

  3. On the Company Information tab, click the Configure MFA button.






  • On the Lender MFA pop-up screen, administrators can set up an MFA connection or edit an existing MFA Connection.

    Lender MFA Setup









Refer to the Setting Up Single Sign-On for Encompass guide or the How to Set Up MFA for Encompass guide for complete and detailed instructions for creating or managing SSO or MFA connections in the Encompass web interface Admin portal.

📘

The SSO and MFA settings will be removed in Encompass Developer Connect as part of the 26.3 release.


NICE-57110, PRCM-874, PSS-92414

ENCOMPASS SOFTWARE DEVELOPMENT KIT (SDK)

❗️

SDK to API Transition Deadline Change

The deadline to transition from legacy Encompass SDK (Software Development Kit) integrations to APIs (as previously announced in the 25.2 release notes) has changed. Please see the latest deadline information published in the official Encompass SDK Transition page.

ENCOMPASS DOCUMENTS APIs

New Attributes Added to Generate Document Package APIs (update)

The response contracts for the following Generate Document Package APIs have been enhanced to include new attributes documentTitle and displayName. These attributes enable you to provide user-friendly document titles and names; especially helpful for separate document flows.

EDC-1282

ENCOMPASS LOAN APIs

New Amortization Schedule Calculator API (new)

The following new Amortization Schedule Calculator API has been added that enables you to calculate and return detailed amortization payment schedules. The schedule can be provided in the context of a loan, or payment schedule scenarios can be provided by passing the V3 Loan object in the request payload. The API supports the following scenario types: ActualCase, BestCase, and WorstCase. In addition, the API supports Complete and Yearly schedule formats, providing comprehensive payment breakdowns including principal, interest, mortgage insurance, and balances over the loan term.

EDC-1153

New Assign Tracking Status Access Rights Capability for Enhanced Conditions (update)

The following API has been enhanced to enable a Tracking Owner of an Enhanced Condition to extend any tracking status access rights they currently have to another owner/role. This allows roles that are not listed as Tracking Owners, within the Condition Type Settings, to update Tracking Statuses on the conditions that have been delegated to them.

Once a role has been delegated to manage Tracking Statuses, that means a user with that role can manage tracking statuses, using either of the following APIs:

EnhancedConditionContract has been updated with a new 'delegatedTrackingStatuses' collection. This collection identifies the Tracking statuses that have been delegated, and the additional delegated roles that can update them. This information can be retrieved in the following APIs:

EDC-1284

New Scheduled Fulfillment Date for Disclosure Tracking APIs (update)

The following APIs have been enhanced with a new 'scheduledDate' attribute added to the fulfillment contract. This provides the ability to view the scheduled fulfillment date for disclosure packages.

EDC-1303

WEBHOOKS

New Webhook IP Addresses to Whitelist

ICE Mortgage Technology will be using the following new IP addresses for webhook APIs starting October 2026 for UAT and November 2026 for production. If ICE Mortgage Technology IP addresses are on your company’s whitelist of trusted sources, your information security or network admin team should add these new IP addresses to your whitelist by October 31, 2026 to avoid any disruption to services or integrations

New IP Ranges for UAT and Production

  • 158.224.116.0/24 
  • 158.224.118.0/24

Timeline

  • UAT migration - mid October
  • Production migration - mid November

📘

Actual cutover dates will be shared in a future communication.

Keep Current IP Ranges Whitelisted

The following IP ranges currently in place will stay intact.

🚧

Do not remove or change the following IP ranges in your Allow List until further notice.

  • 35.171.144.152
  • 54.88.179.33
  • 18.189.140.207
  • 16.58.38.117
  • 54.147.100.150 
  • 35.171.234.41
  • 3.141.95.93 
  • 52.14.87.76

For questions, please contact our ICE Mortgage Technology Support team.

New Status Query Option Available for Get Webhook Event APIs (update)

The following APIs have been enhanced to support a new “DeliveryFailedExhaustedRetries” status that can be used to retrieve webhook events that have failed delivery after all the retries have been exhausted. When the "status" query parameter is used, the response returns only event history records matching that status.

The new query status is the following:

  • DeliveryFailedExhaustedRetries - Delivery failed after the maximum number of retries have been exhausted.

EDC-1288

Update for Test Webhook Custom Auth Parameters API (update)

The following API has been updated to provide better security and additional error information:

The API endpoint now performs the following:

  • On a successful 2XX response, the response body only returns the HTTP status code in the tokenTestOKResponse object.
  • Failure responses are now structured consistently with clear, actionable messages in a tokenTestFailureResponse object. Each failure response includes the following:
    • A human-readable message with the token URL and error context.
    • An errorCode (for network/TLS errors) or status (for HTTP errors).
      See the new Usage Notes in the Test Webhook Custom Auth Parameters endpoint page for details regarding the Error Codes and Statuses that can return.

EDC-1296

BREAKING CHANGES

👍

Be sure to visit the Breaking Change Notices page to see a list of ALL breaking changes documented for past and future releases.

Breaking Changes for 26.2 Release

V3 Loan APIs to Return Custom Fields as "null" Instead of Empty

As of release 26.2, the responses on the following APIs are returning "null" instead of empty strings on Custom Fields when the 'includeEmpty' query is true and the Custom Fields have no value. This represents a breaking change to these APIs.

EDC-1251 / EDC-1283

Fulfillment TrackingNumber Being Removed from the Fulfillment Object

Currently, the Disclosure Tracking GET APIs include a 'trackingNumber' attribute both at the fulfillment object and within each fulfillment.recipient object in the API response. The 'trackingNumber' under fulfillment.recipient was introduced in the December 2025 Service Pack 1 to support tracking numbers uniquely per recipient.

As of release 26.2, the 'trackingNumber' attribute at the fulfillment level has been removed, as it has been fully replaced by the per‑recipient 'trackingNumber' within fulfillment.recipient object. This update introduces a breaking change for the following APIs:

EDC-1280 / EDC-1285

Breaking Changes for 26.3 Release

Value for 'entityType' Change - External Organizations

In release 26.3, the value for the 'entityType' attribute in the 'parentOrg' and 'assignedToOrgs' objects of the External Organization contract will return as "ExternalOrg" instead of "Organization" to distinguish between an internal and external organization. This affects the following APIs:

EDC-1291

Piggyback LINK Attributes Changing to RetrieveOnly

In release 26.3, all Piggyback LINK attributes will be made RetrieveOnly (see Attirbutes list below). This change is needed to support the calculations that keep Piggyback loan data in sync as data changes between linked loans. Users should not directly update these attributes.

Notes:

  • This change will not affect any Encompass calculations.
  • This will impact integrations with Encompass Loan APIs (see Impacted APIs list below). Any integrations that update these attributes directly will be impacted. Starting with release 26.3, you will no longer be able to update these attributes. These attributes will only be updated through Encompass Piggyback automation.
  • This change impacts the ability for any Encompass business rules to update these attributes. For questions regarding business rules configuration, contact your company's Encompass Administrator.

Impacted APIs:

Attributes:

Property NameField IDDataTypeField Requirements
LinkedLoanPurposeTypeLINK_19stringRetrieveOnly
LinkedBorrowerRequestedLoanAmountLINK_1109numberRetrieveOnly
LinkedIsConstructionPhaseDisclosedSeparatelyLINK_4084booleanRetrieveOnly
LinkedMortgageTypeLINK_1172stringRetrieveOnly
LinkedLienPriorityTypeLINK_420stringRetrieveOnly
LinkedInitialAdvanceAmountLINK_1888numberRetrieveOnly
LinkedClosedEndPrimaryMortgageLoanAmountLINK_4487numberRetrieveOnly
LinkedClosedEndSubordinateMortgageLoanAmountLINK_4488numberRetrieveOnly
LinkedHelocNewFinancingNotLinkedDrawAmountLINK_4489numberRetrieveOnly
LinkedHelocNewFinancingNotLinkedCreditLimitLINK_4490numberRetrieveOnly
LinkedAmountApplyToDownPaymentLINK_4493numberRetrieveOnly
LinkedHELOCLienPositionLINK_4494stringRetrieveOnly
LinkedLoanNumberLINK_364stringRetrieveOnly
LinkedBaseLoanAmountLINK_2numberRetrieveOnly
LinkedProposedOtherMortgagesAmountLINK_229numberRetrieveOnly
LinkedProposedOtherAmountLINK_234numberRetrieveOnly
LinkedProposedFirstMortgageAmountLINK_228numberRetrieveOnly
LinkedMax5YrsPrincipleAndInterestLINK_QM.X337numberRetrieveOnly
LinkedLenderNameLINK_1264stringRetrieveOnly
LinkedPaymentDeferredFirstFiveYearsLINK_URLA.X209booleanRetrieveOnly
LinkedAffordableLoanLINK_URLA.X210booleanRetrieveOnly
LinkedRequestedInterestRatePercentLINK_3numberRetrieveOnly
LinkedHelocQualifyingPaymentAmountLINK_5025numberRetrieveOnly

EDC-1298

Obsolete Properties Being Removed from Loan Contract

In release 26.3, the following properties are being removed from the loan.rateLocks section of the V1/V3 loan contract. These orphaned properties do not have corresponding field IDs in Encompass and do not exist on the loan.

-buySideStartingAdjPrice
-CompGainLossTotalBuyPrice
-CompSideInvestorStatus
-CompSideInvestorStatusDate
-CompSideDaystoExtend
-CompSideExtendedLockExpires
-CompSideLockExtendPriceAdjustment
-CompSideOriginalLockExpires
-CompSideRequestedBy
-CompInvestorCommitment
-CompSideMasterContractNumber
-CompSideInvestorTradeNumber
-CompSideTradeGuid
-CompSideTradeNumber

Because these properties are being removed from the V1/V3 loan contract, this is a breaking change if you are integrating with them using any of the following APIs. Ensure these properties are removed from any Encompass Developer Connect integrations prior to release 26.3.

EDC-1308

Breaking Changes for 27.1 Release

Removing Obsolete Rate Lock Entities

In release 27.1, the following entities are being removed from the Loan Contract:

  • LockDenials
  • LockConfirms
  • LockRequests
  • LockRequestBorrowers
  • LockRequestAdjustments

These entities will now return as part of the 'RateLocks' entity. This change represents a breaking change to the following API endpoint:

EDC-1286

DEPRECATION and SUNSET NOTICES

👍

Be sure to visit the Deprecation and Sunset Notices page to see a list of ALL deprecations and sunsets documented for past and future releases.

Developer Forum Sunset

On June 25, 2026, ICE Mortgage Technology is sunsetting the Developer Forum site that was previously available to access under the Community menu and Table of Contents category of this Encompass Developer Connect (EDC) site. Therefore, the Community menu and Table of Contents category are being removed from EDC in release 26.2. The Blogs option that was also available under these Community options will be moved to reside under the Guides tab in a new Blogs category.

EDC-1290

Sunset of V1 eFolder Attachment APIs

As mentioned in previous release notes, a series of V1 eFolder Attachment APIs are scheduled for sunset in release 26.3. For more details and the alternative API endpoints to use, see Sunsetting V1 eFolder Attachment APIs in the Deprecation and Sunset Notices page.

EDC-1186

Sunsetting 'createAuthCode' Method

The 'createAuthCode' method previously announced as being deprecated with the 23.3 release, will be officially sunset in the upcoming 27.1 release. See the original deprecation notice for more details regarding the alternative getAccessToken() method that should now be used.

EDC-1300

GUIDES

The ICE Mortgage Technology Scripting Objects Reference page in the Encompass Customization Developer’s Guide has been enhanced to include more details regarding whether objects, methods and events are included in Encompass web versus Encompass desktop or both. A new callout also added that links to an Encompass Web Custom Form Toolbox guide available in the ICE Resource Center.

LOAN SCHEMA CHANGES

The Encompass Loan Schema is updated with every major release to include new fields and update existing fields to support new features and to stay up-to-date with regulatory requirements. For the full list of the added and update fields, please refer to the following links:

POSTMAN FILE UPDATES

The following Postman files have been updated to support release 26.2. All new and updated samples are prefixed with "26.2R" for each reference.

  • Encompass Developer Connect Postman Collection
  • Encompass Developer Connect Postman Environment Variables

See Testing with Postman for more details and to download the latest versions of each Postman file.

New Maximum Character Limit Added for resolutionComment Attribute (update)

The resolutionCommentattribute in the following Task APIs previously had no maximum character limit. As of April 16, 2026, the limit is now enforced at 1,000 characters.

📘

Requests submitting a resolutionComment exceeding 1,000 characters will be rejected; however, existing task comments previously saved with a char limit greater than 1,000 will not be rejected, unless included in the request. Ensure existing integrations are updated accordingly.

EDC-1287

New Pre-population Use Cases Added to Create Invitation URL API (update)

The Create Invitation URL API has been enhanced to include two new pre-population use cases. The API will now perform the following:

  • Pre-populate and map borrower residential address with subject property address.
  • Pre-populate the HELOC fields on the loan details screen.

EDC-1259

🚧

Clear Browser Cache

To ensure you are viewing the very latest of this website, best practice is to clear your browser's cache, especially after any major releases. For instructions on clearing cache, visit a link below for the browser you are using:

Table of Contents

IMPORTANT NOTICES

API Reference Reorganization

As part of a modernization effort for ICE API documentation, the layout of API Reference is undergoing reorganization. Over time, you will see API endpoints moved to more logical categories and groupings. In addition, the standalone contract pages will be slowly going away, and the details of the request and response bodies will be contained within each endpoint definition. The following API endpoints are a few examples:

Update PingID® Mobile App to Maintain Push Authentications on Android

Starting March 6, 2026, an Android security update from Google will impact older versions of the PingID® mobile app. If you’re using the Android edition of the PingID® mobile app with a version earlier than 3.3.1, you will not be able to approve login requests via push notifications.

Who is affected - Encompass customers who use the Android edition of the PingID® mobile app as their multi-factor authentication (MFA) provider when logging into Encompass or other ICE Mortgage Technology applications.

What You Need to Do - To keep logging in without interruptions, update the PingID® mobile app to version 3.3.1 or later on your Android device.

🚧

After March 6, 2026, older versions will no longer support push notifications.

SSO and MFA Administration Changes Coming in Release 26.2

Currently, administrators managing their company's Single Sign-On (SSO) and Multi-Factor Authentication (MFA) setup and preferences utilize the setup screens located in Encompass Developer Connect. With the Encompass 26.2 release currently planned for July 2026, these settings will be removed from Encompass Developer Connect. Beginning in 26.2, these settings will now be provided in the Encompass web interface's Admin portal, in addition to Encompass desktop interface. Existing setup and configuration settings will not be impacted and hence administrators will not be required to reconfigure their existing SSO and MFA setup. More information will be provided about this update in the coming weeks.

EDC-1270

Encompass Login Unification and Connect MFA Enforcement Coming in Release 26.2

In upcoming release 26.2, the login experience for all Encompass products will be improved through a shared, single unified web login page. Products that previously used a two-step login (instance → credentials), such as Encompass Web and Connect products, will begin using a single consolidated login page. There will be no impact to customers who bypass Encompass login pages entirely (e.g., launching from enterprise landing pages and federating directly).

In addition, the following Encompass Connect products will now support and enforce MFA when enabled in Encompass Admin Tools (Admin tools > Settings Manager > Password > Enable MFA Login > Connect Products):

  • Data Connect
  • Encompass Developer Connect
  • TPOC Internal Login
  • TPOC Admin Portal

More details and information regarding both of these updates will be provided in the coming weeks.

EDC-1279

ENCOMPASS SOFTWARE DEVELOPMENT KIT (SDK)

❗️

SDK to API Transition Deadline Change

The deadline to transition from legacy Encompass SDK (Software Development Kit) integrations to APIs (as previously announced in the 25.2 release notes) has changed. Please see the latest deadline information published in the official Encompass SDK Transition page.

ENCOMPASS LOAN APIs

Pagination and View Added to Get Attachment APIs (update)

New pagination and view parameters have been added to the following APIs for improved performance:

EDC-1241

Restricted Attribute Added for Resource Lock APIs (update)

📘

Your company must have the Encompass desktop Shared Loan Lock feature enabled to receive this functionality. For additional information on the Encompass desktop Shared Loan Lock feature, as well as instructions on how to enable this, please see the Encompass Release Notes.

A new 'restricted' attribute has been added to the contracts for the following Resource Lock APIs. This attribute indicates that the resource lock is restricted for certain operations because the loan is also open in Encompass desktop. Restricted loan operations are prohibited by the API user, while the loan remains open in Encompass desktop. The restricted operations include the following: Create or Delete Borrower Pair, and Swap/Move Borrowers

EDC-1247

New Query by Compliance Fields Import Option (update)

The following API has been updated to include a new 'complianceFieldsImportOption' query parameter to specify import options of Correspondent Compliance fields from the MISMO 3.4 loan file (i.e., Mavent fields).

You can specify one of the following options with this query parameter:

  • IncludeComplianceFields - The default value and indicates import all fields.
  • ComplianceFieldsOnly - Use for importing only compliance fields.
  • SkipComplianceFields - Use for skipping compliance fields while importing.

EDC-1267

New Borrower Associations and Verification Validations (update)

The following API has been enhanced to retrieve borrower/coborrower associations and URLA verification record associations. To facilitate these new enhancements, new 'borrowers' and 'verifications' attributes have been added.

🚧

These new attributes are currently in beta mode and are not ready for production use.

EDC-1262

SECONDARY and TRADES APIs

New Loan Trade APIs (new)

The following APIs have been added to enable creating/managing Loan Trades, assigning/updating loans on a Loan Trade and managing Loan Trade documents:

New Update Assigned Loans for Correspondent Trade API (new)

The following new endpoint has also been added to the Correspondent Trade APIs:

Trade API Enhancements (update)

As part of these trade API enhancements, the following endpoints have been updated to include options to retrieve by Loan Trade in addition to Correspondent Trade:

EDC-1257

SETTINGS - EFOLDER SETUP APIs

New API to Retrieve eFolder Document Groups (new)

The following API has been added that enables retrieving eFolder document group settings.

EDC-1272

SETTINGS - EXTERNAL COMPANY SETUP APIs

New Get List of Available External Site URLs API (new)

The following new API endpoint has been added that enables you to retrieve a full list of TPO Connect site URLs that are not marked as deleted and are available to add to an external organization:

EDC-1238

New Sort and Filter Functionality for Get External Orgs (update)

The following API has been enhanced to support new 'filter' and 'sort' query parameters.

The API results can now be sorted and filtered for certain attributes/scenarios. See details in the table below:

Query ParameterDescription
filterUse to filter the results by any of the following:

- siteId- The ID of the site URL.
- Name- The name of the org.
- companyName - The name of the org when the org type is 'company'.
- branchName - The name of the org when the org type is 'branch'.

Example: v3/settings/externalOrganizations/tpos?filter=companyName:'ABCcorp',siteId|('3298728272', '6298472767','3385961829', '1234554321')
sortUse to sort the results by any of the following:

- siteId- The ID of the site URL.
- Name- The name of the org.
- companyName - The name of the org when the org type is 'company'.
- branchName - The name of the org when the org type is 'branch'.

Example: /v3/settings/externalOrganizations/tpos?sort=Name:desc

EDC-1261

SETTINGS - EXTERNAL USER SETUP APIs

New 'entities' Parameter for External User APIs (update)

The following APIs have been enhanced with a new 'entities' query parameter that enables retrieving only the entities needed by the user:

EDC-1198

New Sort and Filter Functionality for Get All External Users (update)

The following API has been enhanced to support new 'filter' and 'sort' query parameters.

The API results can now be sorted and filtered. See details in the table below:

Query ParameterDescription
filterUse to filter the results by any of the following:

- OrgName - The organization name associated to the user.
- CompanyName - The company name associated to the user.
- BranchName - The company branch name associated to the user.
- FirstName - The user's first name.
- LastName - The user's last name.
- EmailId - The user's email address.
- Phone - The user's phone number.
- PersonaId - The Persona IDs associated to the user.
- PersonaName - The Persona Names associated to the user.
- siteId - The ID of the site URL for the organization associated to the user.
- DesignatedRoleId - The Designated Role IDs associated to the user.
- DesignatedRoleName - The Designated Role Names associated to the user.
- RoldId - The Role IDs associated to the user.
- RoleName - The Role Names associated to the user.
sortUse to sort the results by any of the following:

- OrgName - The organization name associated to the user.
- CompanyName - The company name associated to the user.
- BranchName - The company branch name associated to the user.
- FirstName - The user's first name.
- LastName - The user's last name.
- EmailId - The user's email address.
- Phone - The user's phone number.
- PersonaId - The Persona IDs associated to the user.
- PersonaName - The Persona Names associated to the user.
- siteId - The ID of the site URL for the organization associated to the user.
- DesignatedRoleId - The Designated Role IDs associated to the user.
- DesignatedRoleName - The Designated Role Names associated to the user.
- RoldId - The Role IDs associated to the user.
- RoleName - The Role Names associated to the user.

EDC-1271

SETTINGS - LOAN SETUP APIs

New ICE BI Dashboard Indicator for Loan Folder APIs (update)

The contracts for the following Loan Folder API endpoints have been enhanced with a new 'includeInIceBiDashboard' attribute. This new boolean attribute indicates when the loan folder is included in the ICE Business Intelligence (BI) dashboard.

📘

This 'includeInIceBiDashboard' attribute requires having the ICE BI Dashboard feature enabled. Contact Client Support for more information about this feature.

EDC-1265

SETTINGS - TABLES AND FEES APIs

New API to Retrieve AMI Limit Settings (new)

The following API has been added that enables retrieving Area Median Income (AMI) limit settings configured in Encompass > Settings > Table and Fees > Affordable Lending > AMI Limits.

EDC-1264

New API to Retrieve MFI Limit Settings (new)

The following API has been added that enables retrieving Median Family Income (MFI) limit settings configured in Encompass > Settings > Table and Fees > Affordable Lending > MFI Limits.

EDC-1263

TASK APIs

Soft Delete Enhancement for Task Instance Management APIs (update)

The following API endpoints have been enhanced to no longer include tasks and subtasks associated with soft and hard deleted loans.

The task and subtasks associated with deleted loans can still be retrieved with the following endpoints.

All the endpoints listed above will include a new 'isSoftDeleted' attribute in their contracts to indicate when the loan the task and/or subtask is associated to has been soft or hard deleted.

EDC-1258

WEBHOOKS

Loan Resource Webhook Events (new)

A new Loan resource DisclosureTracking webhook event has been added.

❗️

This new webhook event is currently only in beta mode and not generally available.

EDC-1249

BREAKING CHANGES

👍

Be sure to visit the Breaking Change Notices page to see a list of ALL breaking changes documented for past and future releases.

Breaking Changes for 26.1 Release

Enhancing Error Message Descriptions for Updating Custom Fields

As previously mentioned in the 25.4 Release Notes as upcoming 26.1 breaking changes, a series of APIs have been updated to enhance error message descriptions for errors involving Custom Field updates. This is to better align with error messaging standards. For details regarding the APIs involved and the new errors, see the full notice in the 26.1 section of the Breaking Change Notices page.

EDC-1231, EDC-1223, EDC-1224, EBSP-62917, EBSP-67110

Admin Control Enforcement

As previously mentioned in the 25.4 Release Notes as upcoming 26.1 breaking changes, the following APIs have been updated to enforce persona controls. The calling user must have a super admin persona to retrieve a list of Custom Data Objects (CDOs). To ensure that partners without admin access can create and manage their own CDOs, the access controls for the V1 Create or Replace Global CDO endpoint has also been updated to remove the admin persona check. These updates represent breaking changes.

EDC-1232, EDC-1220

Deprecating "status" Attribute in eFolder Document Contract

As previously mentioned in the 25.1 release notes, the "status" attribute in the eFolder Document Contract has been deprecated with this 26.1 release. The following API endpoints now use the more relevant "documentStatus" attribute in favor of the "status" attribute:

🚧

Discontinue usage of the "status" attribute in favor of the "documentStatus" attribute.

EDC-1121, EDC-1235

Breaking Changes for 26.2 Release

Removal of ‘fundingFees’ Attribute in Loan Contract

As previously mentioned in the 25.4 Release Notes as upcoming breaking changes, the following APIs will now be updated in upcoming release 26.2 to no longer return the ‘fundingFees’ attribute inside the fundingFees object in the loan contract. This represents breaking changes to these APIs.

🚧

Begin using V3 Get Funding Fees and V3 Update Funding Balances APIs as alternatives.

EDC-1217

V3 Loan APIs to Return Custom Fields as "null" Instead of Empty

Beginning with release 26.2, the responses on the following APIs will begin returning "null" instead of empty strings on Custom Fields when the 'includeEmpty' query is true and the Custom Fields have no value. This represents a breaking change to these APIs.

EDC-1251

Sunsetting TPO Connect Application Object Methods

A series of methods that have been listed as deprecated in the tpoApplication Object are now being sunset in upcoming release 26.2. For details regarding the specific methods and replacements, see the full notice in the 26.2 section of the Deprecation and Sunset Notices page.

EDC-1275

Fulfillment TrackingNumber Being Removed from the Fulfillment Object

Currently, the Disclosure Tracking GET APIs include a 'trackingNumber' attribute both at the fulfillment object and within each fulfillment.recipient object in the API response. The 'trackingNumber' under fulfillment.recipient was introduced in the December 2025 Service Pack 1 to support tracking numbers uniquely per recipient.

In the upcoming 26.2 release, the 'trackingNumber' attribute at the fulfillment level will be removed, as it has been fully replaced by the per‑recipient 'trackingNumber' within fulfillment.recipient object. This update introduces a breaking change for the following APIs:

EDC-1280

Breaking Changes for 26.3 Release

Performance Improvements - Get External Users

The breaking change performance improvements regarding V3 Get All External Users mentioned in earlier release notes as an upcoming 26.1 breaking change has been moved to release 26.3. The default behavior of this API will be updated with the following enhancements for improved performance:

  • The API will return the response with minimal data as summary when the entities query parameter is not passed. See sample code below:
 {
        "id": "5117587072",
        "useCompanyAddress": false,
        "firstName": "vaibhav",
        "middleName": "k",
        "lastName": "patil",
        "suffix": "Mr",
        "title": "V",
        "address": "pune",
        "city": "Schdy",
        "state": "NY",
        "zipCode": "12345",
        "phone": "123-456-789",
        "cellPhone": "345-678-9",
        "fax": "345-678-9",
        "email": "[email protected]",
        "nmlsId": "1234567",
        "nmlsCurrent": true,
        "ssn": "345-67-890",
        "peerLoanAccess": "ReadWrite",
        "accessMode": "ReadWrite",
        "requirePasswordChange": false,
        "lastLogin": "2025-12-26T18:45:00Z",
        "organization": {
            "entityId": "1",
            "entityName": "Test Parent",
            "entityType": "ExternalOrg"
        },
        "company": {
            "entityId": "1",
            "entityName": "Test Parent",
            "entityType": "ExternalOrg"
        },
        "createdDate": "2025-09-18T08:44:53Z",
        "createdBy": {
            "entityId": "admin",
            "entityType": "User"
        },
        "updatedDateTime": "2026-01-08T10:39:18Z",
        "updatedBy": {
            "entityId": "admin",
            "entityType": "User"
        }
    } 
  • The API will return only 10 records as default response when there are no pagination query parameters passed.

EDC-1143, EDC-1256

DEPRECATION and SUNSET NOTICES

👍

Be sure to visit the Deprecation and Sunset Notices page to see a list of ALL deprecations and sunsets documented for past and future releases.

Deprecations and Sunsets for 26.1 Release

Settings: Disclosure Tracking

A series of Disclosure Tracking settings objects have been deprecated. For details regarding the specific objects and affected APIs, see the full notice in the 26.1 section of the Deprecation and Sunset Notices page.

EDC-1210, EDC-1233

Deprecating V1 Loan Importer to Create Loan API

As of release 26.1, the following endpoint will be deprecated and will no longer be supported:

  • V1 Loan Importer to Create Loan
    POST /encompass/v1/importers/loan

🚧

Discontinue using this API endpoint and transition to using the V3 Converter to Import New Loan POST /encompass/v3/converter/loans endpoint instead.

EDC-1250

Deprecations and Sunsets for 26.3 Release

Sunsetting V1 eFolder Attachment APIs

As part of a data center migration, a series of V1 eFolder Attachment APIs will be sunset in the upcoming 26.3 release. For more details, see the Deprecation and Sunset Notices page.

EDC-1186

GUIDES

Plugin Best Practices (new)

A new series of best practices regarding Plugins has been added to the Best Practices section. See Plugin Best Practices.

EDC-1260

Encompass Desktop Shared Loan Lock Knowledge Article (new)

A new knowledge article has been added that describes a new resource lock called Encompass desktop Shared Loan Lock that has been introduced in release 26.1. The knowledge article details the purpose of the resource lock, how it works, and important considerations for using the lock. See Encompass Desktop Shared Loan Lock and Restricted Operations.

EDC-1247

FIXED ISSUES

EDC-1244 - Prior to release 26.1, the loan attribute 'useEnhancedConditionIndicator' in the Loan Contract was not writable after loan creation. From release 26.1 forward, this attribute can be changed if no conditions (enhanced or standard) exist in the loan. Prior to release 26.1, there was an issue with the following standard conditions endpoints where the APIs were allowing to create standard conditions even when the loan was enabled for enhanced conditions. Starting with the 26.1 release, the APIs will fail with a 500 error if the 'useEnhancedConditionIndicator' attribute in the loan is set to true. This 500 error will be corrected to a 4xx error in an upcoming release.

EDC-1252 - Fixed an issue where the V3 Get Loan API was not honoring the 'Persona Access to Loan" business rule and was allowing access to loan "Edit Custom Access" objects the rule was restricting. The API no longer returns these loan objects the business rule is restricting.

EDC-1274 - As part of the 25.4 December Service Pack 2 release, an update was made to the SCIM Get Users API to retrieve a list of users for the DDA schema. An issue occurred with this update where the API response was by default returning a list of disabled users only if the 'enabled' filter was not set to true. As part of this fix, the API response now returns both the enabled and disabled DDA SCIM users when the 'enabled' filter is not sent.

EDC-1278 - An issue was fixed in the Event History API where the startTime and endTime filters could return events slightly outside the requested time window (by approximately 10–15 minutes). A refinement was made to the timestamp format used by the Event History API to improve the accuracy of startTime and endTime filtering.

KNOWN ISSUES

EDC-1253 - When attempting to move the borrower to co-borrower on an application using V1 Move Borrower Pair, the system enforces both Persona Access to Loan (PAL) and Persona Access to Fields (PAF) rules. As a result, the move application operation may fail even when the user has valid permission to move the application and borrower pair. In upcoming release 26.2, this issue is being fixed. The expected behavior after the fix is if the user has access to the loan, the user can move the borrower to co-borrower on an application.

EDC-1276 - Field Change webhook events may not be delivered in specific scenarios where the loan creation or update that triggers the event contains a payload larger than 250 KB. When this occurs, subscribers may not receive the corresponding Field Change webhook notification. This issue will be resolved in the 26.2 major release.

LOAN SCHEMA CHANGES

The Encompass Loan Schema is updated with every major release to include new fields and update existing fields to support new features and to stay up-to-date with regulatory requirements. For the full list of the added and update fields, please refer to the following links:

POSTMAN FILE UPDATES

The following Postman files have been updated to support release 26.1. All new and updated samples are prefixed with "26.1R" for each reference.

  • Encompass Developer Connect Postman Collection
  • Encompass Developer Connect Postman Environment Variables

See Testing with Postman for more details and to download the latest versions of each Postman file.

SCIM API Update

Settings: SCIM Provisioning & Account Linking

The SCIM Get Users API for the EncompassInternalUser schema is being enhanced to include a new query parameter called 'attributes' to support the inclusion of personas and license objects in the response.

In addition, the SCIM Get Users API for the AIQUser (DDA) schema is being enhanced to support the retrieval of a user list in the response. Prior to this change, you could only retrieve one user at a time from the DDA product by passing the userName filter in the Get Users API. Now, the userName filter is not required when retrieving the user list for the AIQUser schema.

Impacted endpoint:

Fixed Issues

The following fixed issues were resolved as part of this Service Pack.

PSS-88957 - Previously, when creating a SCIM user via the POST /scim2/v1/users API, the system returned a 201 status code indicating success, even if the user limit had been exceeded and the user was not actually created in Encompass.
With this fix, the API now returns an error response if the user limit is exceeded and the user record cannot be created in Encompass.

PSS-88646 - Previously, the SCIM Create User API returned a 201 Created response when the entityId field in the Organization object was provided as an unquoted integer (e.g., 7) instead of a string (e.g., "7"), as required by the API specification. The API did not return a validation error and responded with an empty body ({}), while no user was created in Encompass. With this fix, the API now validates the entityId format and returns an appropriate error if the value is not a string.

Added ‘Schedule Fulfillment For’ Setting Support

The following APIs have been enhanced to support fulfillment delivery based on the selection made in the Schedule Fulfillment For setting in Encompass. This setting can be enabled in the Additional Services > eDisclosure Fulfillment Settings.

  • Send Opening Package
    POST /encompassdocs/v1/documentOrders/opening/{docSetOrder_id}/delivery
  • Send Forms
    POST /encompassdocs/v1/documentOrders/forms/{docSetOrder_id}/delivery

Usage Notes

  • When the All Borrowers and NBOs option is selected in the ‘Schedule Fulfillment For’ setting, the request payload for Send Opening Package must include the borrower contact details in both the fulfillments (array of objects) and package object.
  • When the Primary Borrower Only (per pair) option is selected in the ‘Schedule Fulfillment For’ setting, the request payload for Send Opening Package must include the primary borrower contact details in both the fulfillments (array of objects) and package object.
  • If the contact details are not included in both the fulfillments (array of objects) and package object, the recipient will not receive the physical print package. However, if the contact details are included only in the package object and not the fulfillments (array of objects), the recipient will still receive the digital package.

TrackingNumber Attribute Added to Fulfillment Recipient Object

To provide support for recipient-level tracking for the fulfillment package, a 'trackingNumber' attribute provided by the Fulfillment Service has been added to the fulfillment.recipient object for the following APIs:

EDC-1281